Bug Hunting Session
Bug 109217 - State of the favorite button is not updated immediately
Summary: State of the favorite button is not updated immediately
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Akshay Deep
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on:
Blocks: Special-Character
  Show dependency treegraph
 
Reported: 2017-07-19 14:11 UTC by Heiko Tietze
Modified: 2017-09-07 08:43 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Tietze 2017-07-19 14:11:37 UTC
The selection a special character that has been marked as a favorite toggles the favorite button into 'Remove from favorite'. When I click 'Add to favorites' the current selection goes to the list but the button remains in its add state. It should immediately change.
Comment 1 Commit Notification 2017-08-15 12:17:34 UTC
Akshay Deep committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=688624b78484bcb17c732b9c14dbb516fb6b28b4

tdf#109217 - State of the favorite button is not updated immediately

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Heiko Tietze 2017-08-15 18:39:11 UTC
Thank you!